/* PowerMaster.h
*  Authors:             Micah Colon
*/

#ifndef __PowerMaster_H__
#define __PowerMaster_H__

// Definitions for PowerMaster 

#define SND_MSG_ID 10
#define RCV_MSG_ID 32
#define MSTR_DATA_BUF_SIZE 5


// States of the PowerMaster
enum { 
   START = 1, 
   BCAST_MSG = 2, 
   RECV_WAIT = 4, 
   RECV_DATA = 8, 
   SEND_ACK = 16, 
   RECV_SLOT_REQ = 32, 
   SEND_SLOT_ACK = 64 
};

struct TimeSlot_t {

   uint8_t   Mac[HARDWARE_ID_LEN];
//   uint8_t   Mac[8];
   nodeID_t  nodeID;

};



#endif
